TextGap Example |
Using Programming Languages other than VBA
Sub Example_TextGap() ' This example creates an aligned dimension in model space and ' uses the TextGap property to increase the distance between the ' dimension line and the dimension text Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current dimension gap MsgBox "The dimension gap for this object is currently set to: " & dimObj.TextGap ' Increase the distance of the dimension gap dimObj.TextGap = 0.5 ThisDrawing.Regen acAllViewports ' Read and display current dimension gap MsgBox "The dimension gap for this object is now set to: " & dimObj.TextGap End Sub
Comments? |